package com.test.comet;

import com.sun.enterprise.web.connector.grizzly.comet.CometEvent;
import com.sun.enterprise.web.connector.grizzly.comet.CometHandler;
import java.io.IOException;
import java.util.logging.Logger;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author stanmina
 */
public class MyCometHandler implements CometHandler {

    private Logger log = Logger.getLogger(MyCometHandler.class.getName());
    private HttpServletResponse response;

    public MyCometHandler() {

        log.info("### MyCometHandler created.");
    }

    @Override
    public void onEvent(CometEvent event) throws IOException {

        log.info("Comet test onEvent() ");
    }

    @Override
    public void onInitialize(CometEvent event) throws IOException {
        log.info("onInitialize");
    }

    @Override
    public void onInterrupt(CometEvent event) throws IOException {
        log.info("onInterrupt");
    }

    @Override
    public void onTerminate(CometEvent event) throws IOException {
        log.info("onTerminate");
        onInterrupt(event);
    }

    @Override
    public void attach(Object attachment) {
        log.info("attach");
        this.response = (HttpServletResponse) attachment;
    }
}